STRUCT MIPI_DSI_PACK(9)

NAME
struct_mipi_dsi_packet - represents a MIPI DSI packet in protocol format

SYNOPSIS

struct mipi_dsi_packet {
  size_t size;
  u8 header[4];
  size_t payload_length;
  const u8 * payload;
};

MEMBERS

size
    size (in bytes) of the packet

header[4]
    the four bytes that make up the header (Data ID, Word Count or Packet Data, and ECC)

payload_length
    number of bytes in the payload

payload
    a pointer to a buffer containing the payload, if any

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT